Name:		pciutils
Summary:	PCI bus related utilities.
Group:		Applications/System
License:	GPL
Version:	2.1.10
Release:	1.5.1
Source0:	ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/%{name}-%{version}.tar.gz
Patch0:		pciutils-strip.patch
Patch1:		pciutils-bufsiz.patch
Patch3:		pciutils-pciids.patch
Patch4:		pciutils-ppc64.patch
Patch5:		pciutils-2.1.10-scan.patch
BuildRoot: 	%{_tmppath}/%{name}-%{release}-root
Requires:	kernel >= 2.2 hwdata

%description
The pciutils package contains various utilities for inspecting and
setting devices connected to the PCI bus. The utilities provided
require kernel version 2.1.82 or newer (which support the
/proc/bus/pci interface).

%files
  %defattr(0644,root,root,0755)
  %doc README ChangeLog pciutils.lsm
  %doc %{_mandir}/man8/*
  %attr(0550,root,admin)	%{_root_sbindir}/*

%package devel
Summary:	Linux PCI development library.
Group:		Development/Libraries

%description devel
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%files devel
  %defattr(0644,root,root,0755)
  %{_libdir}/libpci.a
  %{_includedir}/pci

%prep
%setup -q
%patch0 -p1 
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
  make OPT="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/{sbin,%{_mandir}/man8,%{_libdir},%{_includedir}/pci}

  install -s lspci setpci $RPM_BUILD_ROOT/sbin
  install lspci.8 setpci.8 $RPM_BUILD_ROOT%{_mandir}/man8
  install lib/libpci.a $RPM_BUILD_ROOT%{_libdir}
  install lib/pci.h $RPM_BUILD_ROOT%{_includedir}/pci
  install lib/header.h $RPM_BUILD_ROOT%{_includedir}/pci
  install lib/config.h $RPM_BUILD_ROOT%{_includedir}/pci

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 23 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.1.10, Release 1.5.1
  - Initial build for EnGarde.
